libzypp 17.37.10

susetags.h File Reference
`#include <zypp/RepoInfo.h>`
`#include <zypp/ng/repo/Downloader>`
`#include <zypp-core/zyppng/pipelines/AsyncResult>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <zypp/ManagedFile.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::SuseTagsWorkflows
| Download workflow namespace for SUSETags (YaST2) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk and how to calculate the repo status.

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProgressObserver)
AsyncOpRef< expected< zypp::RepoStatus > > | zyppng::SuseTagsWorkflows::repoStatus (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle)
expected< zypp::RepoStatus > | zyppng::SuseTagsWorkflows::repoStatus (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle)
AsyncOpRef< expected< repo::AsyncDownloadContextRef > > | zyppng::SuseTagsWorkflows::download (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)
expected< repo::SyncDownloadContextRef > | zyppng::SuseTagsWorkflows::download (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle, ProgressObserverRef progressObserver)